Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.icore.plan
Class PlanAsDomain

    java.lang.Object
      ix.icore.AbstractAnnotatedObject
          ix.icore.AbstractIXObject
              ix.icore.domain.Domain
                  ix.icore.plan.PlanAsDomain

All Implemented Interfaces:
  Annotated, Named, IXObject, java.io.Serializable, java.lang.Cloneable

    public class PlanAsDomain

extends Domain

A plan represented as a domain.

See Also:
  Serialized Form

Nested Class Summary
`(package private) class` | `PlanAsDomain.PlanWalker`

Field Summary
`(package private) static Symbol` | `EXPANDS`
`protected java.util.Map<Name,Activity>` | `idToActivityMap`
`protected Gensym.Generator` | `nameGen`
`protected java.util.Map<Name,ItemVar>` | `planVarIdToItemVarMap`
`(package private) static Symbol` | `WORLD_STATE`

Fields inherited from class ix.icore.domain.Domain
`classNameMap, listeners, name, objectClasses, refinementNameMap, refinements, variableDeclarations`

Fields inherited from class ix.icore.AbstractAnnotatedObject
`annotationListeners, annotations`

Constructor Summary
`PlanAsDomain()`
`PlanAsDomain(Plan plan)`

Method Summary
`(package private) ItemVar` | `getItemVar(PlanVariable pv)`
`(package private) ItemVar` | `getItemVar(PlanVariableDeclaration dcl)`
`(package private) ix.icore.domain.ListOfConstraint` | `getNonOrderings(ix.icore.domain.ListOfConstrainer constraints)`
`(package private) ix.icore.domain.ListOfOrdering` | `getOrderings(ix.icore.domain.ListOfConstrainer constraints)`
`static void` | `main(java.lang.String[] argv)`
`(package private) java.util.Map<Name,Activity>` | `makeIdToActivityMap(Plan plan)`
`(package private) ItemVar` | `makeItemVar(PlanVariableDeclaration dcl)`
`(package private) java.util.Map<Name,ItemVar>` | `makePlanVarIdToItemVarMap(Plan plan)`
`(package private) Refinement` | `makeRefinement(PlanRefinement pr)`
`(package private) Refinement` | `makeTopLevelRefinement(Plan plan)`
`(package private) LList` | `patternForDomain(java.util.List pattern)`
`(package private) void` | `setConstraintsAndOrderings(Refinement r, ix.icore.domain.ListOfConstrainer constrainers)`
`(package private) void` | `setNodeSpecs(Refinement r, ix.icore.plan.ListOfPlanNode planNodes)`
`(package private) void` | `setVarDcls(Refinement r, ix.icore.plan.ListOfPlanVariableDeclaration planDcls)`

Methods inherited from class ix.icore.domain.Domain
`addDomainListener, addObjectClass, addRefinement, analyseDomain, checkConsistency, clear, clone, deleteNamedObjectClass, deleteNamedRefinement, deleteObjectClass, deleteRefinement, fireRefinementAdded, getActivityPatternSyntaxes, getName, getNamedObjectClass, getNamedRefinement, getObjectClasses, getRefinements, getVariableDeclarations, isEmpty, replaceNamedRefinement, replaceObjectClass, replaceRefinement, setName, setObjectClasses, setObjectClasses, setRefinements, setRefinements, setVariableDeclarations, takeFrom, toString`

Methods inherited from class ix.icore.AbstractAnnotatedObject
`addAnnotationListener, annMap, clearAnnotations, fireSetAnnotation, getAnnotation, getAnnotations, getComments, makeAnnMap, removeAnnotation, setAnnotation, setAnnotations, setComments, takeAnnotations`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface ix.icore.Annotated
`addAnnotationListener, clearAnnotations, fireSetAnnotation, getAnnotation, getAnnotations, removeAnnotation, setAnnotation, setAnnotations, takeAnnotations`

Field Detail

### EXPANDS

    static final Symbol EXPANDS

### WORLD_STATE

    static final Symbol WORLD_STATE

### idToActivityMap

    protected java.util.Map<Name,Activity> idToActivityMap

### planVarIdToItemVarMap

    protected java.util.Map<Name,ItemVar> planVarIdToItemVarMap

### nameGen

    protected Gensym.Generator nameGen

Constructor Detail

### PlanAsDomain

    public PlanAsDomain()

### PlanAsDomain

    public PlanAsDomain(Plan plan)

Method Detail

### makeIdToActivityMap

    java.util.Map<Name,Activity> makeIdToActivityMap(Plan plan)

### makePlanVarIdToItemVarMap

    java.util.Map<Name,ItemVar> makePlanVarIdToItemVarMap(Plan plan)

### makeTopLevelRefinement

    Refinement makeTopLevelRefinement(Plan plan)

### makeRefinement

    Refinement makeRefinement(PlanRefinement pr)

### setVarDcls

    void setVarDcls(Refinement r,
                    ix.icore.plan.ListOfPlanVariableDeclaration planDcls)

### setNodeSpecs

    void setNodeSpecs(Refinement r,
                      ix.icore.plan.ListOfPlanNode planNodes)

### setConstraintsAndOrderings

    void setConstraintsAndOrderings(Refinement r,
                                    ix.icore.domain.ListOfConstrainer constrainers)

### getOrderings

    ix.icore.domain.ListOfOrdering getOrderings(ix.icore.domain.ListOfConstrainer constraints)

### getNonOrderings

    ix.icore.domain.ListOfConstraint getNonOrderings(ix.icore.domain.ListOfConstrainer constraints)

### patternForDomain

    LList patternForDomain(java.util.List pattern)

### getItemVar

    ItemVar getItemVar(PlanVariable pv)

### getItemVar

    ItemVar getItemVar(PlanVariableDeclaration dcl)

### makeItemVar

    ItemVar makeItemVar(PlanVariableDeclaration dcl)

### main

    public static void main(java.lang.String[] argv)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD